summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-05-09 01:20:31 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-05-09 01:20:31 +0000
commiteca83dba1f700fd95a4723a9f0059c07e98f37b1 (patch)
tree8004a2f52854b11fcd8d7b1315a264d9335a4c55 /dev-python
parentce5b21218f78457cc215a473d9214edbce1c81f2 (diff)
downloadbaldeagleos-repo-eca83dba1f700fd95a4723a9f0059c07e98f37b1.tar.gz
baldeagleos-repo-eca83dba1f700fd95a4723a9f0059c07e98f37b1.tar.xz
baldeagleos-repo-eca83dba1f700fd95a4723a9f0059c07e98f37b1.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-18.7.0.ebuild34
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.77.5.ebuild64
-rw-r--r--dev-python/hiredis/Manifest1
-rw-r--r--dev-python/hiredis/hiredis-2.2.3.ebuild45
-rw-r--r--dev-python/ipykernel/Manifest1
-rw-r--r--dev-python/ipykernel/ipykernel-6.23.0.ebuild77
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.1.10.ebuild56
-rw-r--r--dev-python/nbconvert/Manifest1
-rw-r--r--dev-python/nbconvert/nbconvert-7.4.0.ebuild93
-rw-r--r--dev-python/pyroute2/Manifest1
-rw-r--r--dev-python/pyroute2/pyroute2-0.7.8.ebuild29
-rw-r--r--dev-python/pyrqlite/Manifest1
-rw-r--r--dev-python/pyrqlite/pyrqlite-2.2.0.ebuild23
-rw-r--r--dev-python/python-socks/Manifest1
-rw-r--r--dev-python/python-socks/python-socks-2.3.0.ebuild46
-rw-r--r--dev-python/redis/Manifest1
-rw-r--r--dev-python/redis/redis-4.5.5.ebuild83
-rw-r--r--dev-python/selenium/Manifest2
-rw-r--r--dev-python/selenium/selenium-4.9.1.ebuild63
-rw-r--r--dev-python/sentry-sdk/Manifest1
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.22.2.ebuild113
26 files changed, 747 insertions, 4 deletions
diff --git a/dev-python/Faker/Faker-18.7.0.ebuild b/dev-python/Faker/Faker-18.7.0.ebuild
new file mode 100644
index 000000000000..9618d4da811e
--- /dev/null
+++ b/dev-python/Faker/Faker-18.7.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 403ede1784ae..94f05b54050f 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -3,3 +3,4 @@ DIST Faker-18.5.1.tar.gz 1664745 BLAKE2B c6b02b9827a0cda7ac37bdc12882e879b8b981b
DIST Faker-18.6.0.tar.gz 1664811 BLAKE2B d73d0e5c1c0c0a59765b9dff8e1ed3a07b66ba83c714e8bc9005df6e92c8916ba7d68de1ca6c12367555f5e498677e488f9e72888715f06deae86ccdb5675b45 SHA512 bbf50a36a78b071bd32d523ede6f132a62106741f5dfe14a4d237ff17280d9207a75725870b45a91888c36ac94f7833d2364dd1e48ec2738949a04c5cbd306a4
DIST Faker-18.6.1.tar.gz 1665480 BLAKE2B 71de48bbe9767eb4a44f1cc3db6a5a42cda24716063ccde8646fc630ca3f06b29271d97135ecdd285031e34a6671133badcd5d1dc8c074e87cdd61437021d993 SHA512 d862f7545b32ff2e60d69f03e73fee75ece1543417e99397b3dc08edcd20ce3251b3d6c7238b316af54318f80f5f3e8d221c5ec147b89387fa927ba1e8574e97
DIST Faker-18.6.2.tar.gz 1665430 BLAKE2B 3e8748e77e5f72be3e2853f2337f7256e561303ad0fab21ecca50f8dcbd967eaf35d0134c02c590470dafc646c9ca44b9e1013138f967ffecaf4a1811a8f959a SHA512 91486fc317d96453d1950f1d1ad7e724cbf15438f914136c1e266b246ba8cc3704d6f788a94dee837e6453985e9cdbfbf54b5b42569cb37b0dfba8f3346b406b
+DIST Faker-18.7.0.tar.gz 1666235 BLAKE2B d0eca47e4916436cdd2503077af97b8e4d93f0fc3852fc90505ef44021271b3d9ddb78b2e3258f39ab79fbdba66eac32c8010c72383c5f5926167b7e5b0586c6 SHA512 7c8edc55ff401f9344199447c7452ca91d7077b882e70165bfac73d9db192304163a8e5adc35f7ebbe84898366aa7b09c9633d5e1b0d60544160e8dd5406897c
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 1a03ec646cb5..c6f4cc662d7b 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,2 +1,3 @@
DIST cfn-lint-0.75.1.gh.tar.gz 3487870 BLAKE2B 26aaf3b24023260d7a7d8f2b89fc9135e0c34786540c21d1c1763decad42167f1a29b01859bfcb17fe5ac1fbbb08aebf04191c6d1b21b335c92e2424c986cada SHA512 d4dfa9331c77f7c323b217203c470e15b4a62a86b42497934a4f9609d54a499211058cba4c561034f6c3dd6ba52ade30084e9a9d25da135289f783ed972a14ae
DIST cfn-lint-0.77.4.tar.gz 3510766 BLAKE2B af5f8a842863504217b90cea80861a889eae2d1bbe1d7c8c9b429acaee00d291ddbe71e868577acc689a1ff04aaf9c5b2f690a839235cf57202b6226bc7f1abc SHA512 96fe05b91d93b2581f546973bf0a812184429cfefb26c69e8e14fe6ac6402219ab518777a3f54fb30092c30189486aacd0841d1db31a191697ad1c333662bb98
+DIST cfn-lint-0.77.5.tar.gz 3513226 BLAKE2B edff62682027d87fc4f0934aba83ca1cbd83773fbf85246eecfe1d1908b8ba0f6df413b2dbc8976770f7eefaec78bde1cd7017ed36ffac849687436364a42f2d SHA512 e80231e8539735d0a114c6de81f9c52714a1886dbeb070b78bba3c9dd2798399bbb6eb41b3917b5c826b4d3d571f2d9996a5eeaebd7a48a9b774135fb0966372
diff --git a/dev-python/cfn-lint/cfn-lint-0.77.5.ebuild b/dev-python/cfn-lint/cfn-lint-0.77.5.ebuild
new file mode 100644
index 000000000000..aa05429c93b5
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.77.5.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.65.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/hiredis/Manifest b/dev-python/hiredis/Manifest
index cd80c0be9b4b..3238e21d9093 100644
--- a/dev-python/hiredis/Manifest
+++ b/dev-python/hiredis/Manifest
@@ -1 +1,2 @@
DIST hiredis-2.2.2.gh.tar.gz 18010 BLAKE2B 67ab7c3f0667d3cf33abea58fbe37bcc28beb569f6f3da966f191d00965faa5a835a286172179d6f33f4e0fa81743fa345829f04d9d89350ab1394cc0c168147 SHA512 8a42df63911000cd119da33e7fea25fa1a5244a86016818bcb6c6e12c042b12b00b7272633d85dcf921fd2eba67145e3258c64689be799a0f59766e541139120
+DIST hiredis-py-2.2.3.gh.tar.gz 18214 BLAKE2B cdac5e9790c88657c75be721c4dbc91174a0eb38cdd790076b3ec1f009d43c7aef300bfa7381a10061749cb3bec02d4a488e732f550bea4c62893aabfc0c3222 SHA512 e85032869b6bbbc30f991d83d67a710c04998645517b1ddcfd801ff37bd28f0576a5bdc2986f3526f72da8448986714a79b42a0ab1a5cc6b6bab24f3d98fdce9
diff --git a/dev-python/hiredis/hiredis-2.2.3.ebuild b/dev-python/hiredis/hiredis-2.2.3.ebuild
new file mode 100644
index 000000000000..a066005ed766
--- /dev/null
+++ b/dev-python/hiredis/hiredis-2.2.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=hiredis-py-${PV}
+DESCRIPTION="Python extension that wraps hiredis"
+HOMEPAGE="
+ https://github.com/redis/hiredis-py/
+ https://pypi.org/project/hiredis/
+"
+SRC_URI="
+ https://github.com/redis/hiredis-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="
+ >=dev-libs/hiredis-1.0.0:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+PATCHES=(
+ "${FILESDIR}"/hiredis-2.2.2-system-libs.patch
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf hiredis || die
+ epytest
+}
diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index 90951e86b5fc..1f0c823794ca 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -1 +1,2 @@
DIST ipykernel-6.22.0.tar.gz 151303 BLAKE2B c3567066375099d388c65b43b5b8c8059a823f4185855b6131fd90f42624a71c08d839a3c59c41cf83bb51ec07d0c0487d7bbee573eafa7e7d049dbeff8e59a8 SHA512 e109a2b771ffa40e05416bd925f26a4492c65a44a1acd8100e65ae3e779da9a0eef7222566e79cdcbed4b0fc3224fbd0722728d3fe953b16ab1a14090d0205c2
+DIST ipykernel-6.23.0.tar.gz 151969 BLAKE2B c41aac053b27a2e3618831f8d6458b21877b4510062019576fe98f921b9485fe180f2bced09c0a8ddd930af5a386a09d4d13a2ffbb78e58d71bb7a7cea1c91c1 SHA512 d852742bd858639d150864d343da23ee915c2034b8fbad7875755ea580be80b5faf553c16af65c50001f214979cd4a80c89fe08e4db7198754b554de0101a1d1
diff --git a/dev-python/ipykernel/ipykernel-6.23.0.ebuild b/dev-python/ipykernel/ipykernel-6.23.0.ebuild
new file mode 100644
index 000000000000..3ae331be622c
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-6.23.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="
+ https://github.com/ipython/ipykernel/
+ https://pypi.org/project/ipykernel/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/comm-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/debugpy-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-client-8[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.12[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+ dev-python/nest_asyncio[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-20[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.4.0[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/ipyparallel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:^TIMEOUT = .*:TIMEOUT = 120:' ipykernel/tests/*.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ # Use python3 in kernel.json configuration, bug #784764
+ sed -i -e '/python3.[0-9]\+/s//python3/' \
+ "${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" || die
+}
+
+src_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ ipykernel/tests/test_debugger.py::test_attach_debug
+ ipykernel/tests/test_debugger.py::test_breakpoint_in_cell_with_leading_empty_lines
+ ipykernel/tests/test_debugger.py::test_rich_inspect_at_breakpoint
+ ipykernel/tests/test_debugger.py::test_rich_inspect_not_at_breakpoint
+ ipykernel/tests/test_debugger.py::test_set_breakpoints
+ ipykernel/tests/test_debugger.py::test_stop_on_breakpoint
+ ipykernel/tests/test_debugger.py::test_copy_to_globals
+ # hangs?
+ ipykernel/tests/test_eventloop.py::test_tk_loop
+ )
+
+ virtx distutils-r1_src_test
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..e9da2ac43cac 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index ddb5b0f1787e..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>cyber+gentoo@sysrq.in</email>
- <name>Anna</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index af0798f8656f..0654044f1224 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1 +1,2 @@
+DIST mkdocs-material-9.1.10.gh.tar.gz 14174187 BLAKE2B 632f2855945575edc45719472e15c855b95d52a47f52b04f235b1096af336346cdcee0a05930b9a9eb5d244a0897cba4d00404daea62cd1b3cb44fdfe1d25adb SHA512 e8b3cd2f66576020c86774ee896c8b03fcd35eaa6871aec46df52fa06baacc2fd059a03b97f41a25b1f823727144f8ad16819645665b4e5b2133ad503a55089c
DIST mkdocs-material-9.1.9.gh.tar.gz 10937664 BLAKE2B ebb893deecbd545496542f714976337b6c57ab0b7413f53ec0e8635e3d3a668ce3b7dbd46ea2517855e077d271f147d1df7c9d838d80a3954ff8a9f63f7f7bce SHA512 0b2a42e8f035375f34ca23a1489d4d76c9733cd28e1dc98f25c8f5461a337ff533eb85c72d9b22a8d2af4694b1e0c74ea61bb62da91827562b1ecb4cf4e8867c
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.1.10.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.1.10.ebuild
new file mode 100644
index 000000000000..9e6f1d493b88
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.1.10.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.9.1[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.1.0[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index 7756ab04198e..f4f9a7ad9aa8 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1 +1,2 @@
DIST nbconvert-7.3.1.tar.gz 880064 BLAKE2B 0bde4a65f27a880fdbf694dc6501ad1d0f78bf72e6010377faf89d8b16d5b24f82fcba93c51d9421a88e5c554bc0fb6d002f913886bd2d2f1a7f17a834755d02 SHA512 24d8d0ff35cf09d095d01122386439cf0c40eb9af7c88604f3108e5831a270509e1302370dc40eabc8bcb28fb86603d9d7a4a104346122deb8471aab7471e62d
+DIST nbconvert-7.4.0.tar.gz 882064 BLAKE2B d7e7d7dca63d84dc1e189b4922e31777f29a3796c93a47c886afb9bb11bfdead29bfb209d1ebb17c82dfad91dcf145cee1ca4db9b780d676daabc28001bb87a7 SHA512 6421bde4c6b6bbbb54673a0bbe3e7902c825da8b0aab113ea285b9c2d2a59447616d6f3ce9ac15b4814a2776e03fab2ca6135d38aac694ef366b32cf3dd6d988
diff --git a/dev-python/nbconvert/nbconvert-7.4.0.ebuild b/dev-python/nbconvert/nbconvert-7.4.0.ebuild
new file mode 100644
index 000000000000..bd50730a6bcd
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-7.4.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing pypi virtualx
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="
+ https://nbconvert.readthedocs.io/
+ https://github.com/jupyter/nbconvert/
+ https://pypi.org/project/nbconvert/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib-metadata-3.6[${PYTHON_USEDEP}]
+ ' 3.9)
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.7[${PYTHON_USEDEP}]
+ dev-python/jupyterlab_pygments[${PYTHON_USEDEP}]
+ >=dev-python/markupsafe-2.0[${PYTHON_USEDEP}]
+ >=dev-python/mistune-2.0.2[${PYTHON_USEDEP}]
+ >=dev-python/nbclient-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.1[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.1[${PYTHON_USEDEP}]
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/ipywidgets-7[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ mkdir -p share/templates/classic/static || die
+ # tries to refetch stuff even if it's already present
+ sed -e 's:css = .*:raise PermissionError("You shall not fetch!"):' \
+ -i hatch_build.py || die
+ distutils-r1_src_prepare
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Missing pyppeteer for now
+ # TODO: Doesn't skip?
+ nbconvert/exporters/tests/test_webpdf.py
+ # Needs pyppeteer too
+ 'nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_webpdf_with_chromium'
+ # TODO
+ nbconvert/exporters/tests/test_qtpng.py::TestQtPNGExporter::test_export
+ nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_convert_full_qualified_name
+ nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_post_processor
+ # latex failing, might be too new pandoc
+ nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_filename_spaces
+ nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_pdf
+ # too new pandoc but we don't have old anymore
+ nbconvert/utils/tests/test_pandoc.py::TestPandoc::test_minimal_version
+ nbconvert/utils/tests/test_pandoc.py::TestPandoc::test_pandoc_available
+ )
+
+ # virtx implies nonfatal, make it explicit to avoid confusion
+ nonfatal epytest -n "$(makeopts_jobs)" --pyargs nbconvert || die
+}
+
+pkg_postinst() {
+ if ! has_version app-text/pandoc && ! has_version app-text/pandoc-bin; then
+ einfo "Pandoc is required for converting to formats other than Python,"
+ einfo "HTML, and Markdown. If you need this functionality, install"
+ einfo "app-text/pandoc or app-text/pandoc-bin."
+ fi
+}
diff --git a/dev-python/pyroute2/Manifest b/dev-python/pyroute2/Manifest
index 16e630b731a4..18fd7f2786b8 100644
--- a/dev-python/pyroute2/Manifest
+++ b/dev-python/pyroute2/Manifest
@@ -1 +1,2 @@
DIST pyroute2-0.7.6.tar.gz 416681 BLAKE2B f04fc27bafa1b7083d222df315449a51c56dee29993e9f03b18653f938ef50d66dc831e68d13b3115c392283397f2deae6bdda37791253913dadc77a73a9810d SHA512 3e4cbba59c08e52201557dc2814b98f7a1e6e2a567aa1c28ddfbb7da228c01a72eaa6ab42049f1f53b688f9627b7b77a95ab44b5a909ede24d83870d13dfa293
+DIST pyroute2-0.7.8.tar.gz 418102 BLAKE2B 67485b52e579a4d73877ff62c772a2145896900ae86effea54b0a93c42eaef782548a9b74eb777f885be227a880afc6f7664464e71fd45e0862f317aea2c908e SHA512 0d4824dd21dda5efe19bc953265e75f07f8813a45e703e90fa0bae0765fd88205255b219b4ec1e0e4f399ce2a055e351fd98ae8c7ca14bda7312c3cfdef724e2
diff --git a/dev-python/pyroute2/pyroute2-0.7.8.ebuild b/dev-python/pyroute2/pyroute2-0.7.8.ebuild
new file mode 100644
index 000000000000..7b4c3e95ac3f
--- /dev/null
+++ b/dev-python/pyroute2/pyroute2-0.7.8.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A pure Python netlink and Linux network configuration library"
+HOMEPAGE="
+ https://github.com/svinota/pyroute2
+ https://pypi.org/project/pyroute2/
+"
+
+LICENSE="|| ( GPL-2+ Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+# tests need root access
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/pyrqlite/Manifest b/dev-python/pyrqlite/Manifest
index b8d16d384448..7322db45af90 100644
--- a/dev-python/pyrqlite/Manifest
+++ b/dev-python/pyrqlite/Manifest
@@ -1,2 +1,3 @@
DIST pyrqlite-2.1.1-test_cPragmaTableInfo.patch 2601 BLAKE2B 43dce906dea12d6d503ac589990c4688f07cf4186b6b4641534e50aa77e5dacd4f9f286d7707451bc843fb429fec4cdfb887a4922fa48aa9b7d7757bc1ff55bc SHA512 67c8593fd8a437011f9579e6a469323f60a70634469eb42d96b22f3997e48eab42d102013cbf300616fa23e2a0e64e1a0c4b4d7fdd1346402abd34255b252d85
DIST pyrqlite-2.1.1.tar.gz 19538 BLAKE2B fba6caa68eb6d806ea807d40f36edafb0872e724a087cdb7736f79699692d0d492e05a8a7407467f92ec8e30df4a6ea1ed44bc12bec35ffc4753878335fa4275 SHA512 9fc404a480f42592ebbedef82f748707741e28de199be9381680db506dac4e3ce757d1058874ca06cf8f0dd1ec0e7b6411a4585f332a9fe7d8977071e492bd31
+DIST pyrqlite-2.2.0.gh.tar.gz 19766 BLAKE2B ba71638d2e94a9210d778884d96f32121ee19ac481b7f0bf8f750350fe03cf34857fcd5bd618c29965aa26b8c2e8371909e6ef75d9471e222e4003912977adec SHA512 b5374cd95c116ed4555ed84aaa13c6cfb913d80e416ecdbd014cf21d79c593e197dafdf1b34d7cd26bb7d0076a6fe2aaef5cad803c6430a908cb2f994881c71f
diff --git a/dev-python/pyrqlite/pyrqlite-2.2.0.ebuild b/dev-python/pyrqlite/pyrqlite-2.2.0.ebuild
new file mode 100644
index 000000000000..81e617621537
--- /dev/null
+++ b/dev-python/pyrqlite/pyrqlite-2.2.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+inherit distutils-r1
+
+DESCRIPTION="Python client for rqlite"
+HOMEPAGE="https://github.com/rqlite/pyrqlite"
+SRC_URI="
+ https://github.com/rqlite/pyrqlite/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="test? ( >=dev-db/rqlite-6.7.0 )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/python-socks/Manifest b/dev-python/python-socks/Manifest
index 30d0922655fa..849aff1c8ae8 100644
--- a/dev-python/python-socks/Manifest
+++ b/dev-python/python-socks/Manifest
@@ -1 +1,2 @@
DIST python-socks-2.2.0.gh.tar.gz 32483 BLAKE2B 44dba93f29b3466515591bced694b1f17a76d7a9410829f8d4cfe0c4da18b00dddb9a84b37a9ce74dd20517a3567c06f4b96e4cc4724e88244dd11b097b3da9e SHA512 7189a249fcbc80c13f6070cd82d785ca4be48cbaf0a0e37da486b8517f551b9a22678a0c4d65f98adb30c719b5f47a3e9cd0133633a429283b04cdae089ed6a6
+DIST python-socks-2.3.0.gh.tar.gz 32506 BLAKE2B 0eaddbb4400488b6c96458d84671e69c9dd9bf927b9ea830d4161d4d78bdc32f66fb0c02f19e63afa868bd248a95d1544463bc877b79fd533b3952bfc71bef52 SHA512 792489d9daa63847733580b36d85d143146d0cd0b3f29297fa732516dea203b3f82deaf2779b56d80c20abe2739ed79e28a9a21cfeb26768ec557efef34c74f7
diff --git a/dev-python/python-socks/python-socks-2.3.0.ebuild b/dev-python/python-socks/python-socks-2.3.0.ebuild
new file mode 100644
index 000000000000..15c5438f68ee
--- /dev/null
+++ b/dev-python/python-socks/python-socks-2.3.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="SOCKS4, SOCKS5, HTTP tunneling functionality for Python"
+HOMEPAGE="
+ https://github.com/romis2012/python-socks/
+ https://pypi.org/project/python-socks/
+"
+SRC_URI="
+ https://github.com/romis2012/python-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# curio is not packaged
+# asyncio is the only backend we have, so dep on its deps unconditionally
+# TODO: revisit
+RDEPEND="
+ dev-python/async-timeout[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/anyio-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/async-timeout-3.0.1[${PYTHON_USEDEP}]
+ >=dev-python/flask-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.18.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-trio-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/tiny-proxy-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.16.0[${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.4.2[${PYTHON_USEDEP}]
+ )
+"
+
+# Test markers exist to exclude trio etc if needed
+distutils_enable_tests pytest
diff --git a/dev-python/redis/Manifest b/dev-python/redis/Manifest
index 5d910d8a1623..58933e0734b9 100644
--- a/dev-python/redis/Manifest
+++ b/dev-python/redis/Manifest
@@ -1 +1,2 @@
DIST redis-py-4.5.4.gh.tar.gz 4739418 BLAKE2B a02a581dc12a09cedd0f5158bc261ffb0efcf0346d193ebcb060f50fa95dbaadb7322446c242ac68094bbfbd80c9879d8c9a9fc8362aa6a6e9be85d7e46d9aaa SHA512 55c4530ab715c4bddb502ce58ae3c62db9c27d16ddbfa8f87c88e9425e0285d9fd570338428c30d0a3f1fe2d81868fd8385da0255d58c3dd9b9813f9454eeb30
+DIST redis-py-4.5.5.gh.tar.gz 4748642 BLAKE2B 6e924477be81af995190328b8747e2eac3d905fcff8cd97c6f89702e3888a4185918144cf11b9173b25dd4c2e62ce988e2f1f5b2c1261bb35e64031772a5a81a SHA512 f1d8f1b009f30613776904cef42a090a51da2833d667d47f9650c9a35187d11911d5b23b20f2ba2279714758963830c873473028775f39419e4d996da54eee83
diff --git a/dev-python/redis/redis-4.5.5.ebuild b/dev-python/redis/redis-4.5.5.ebuild
new file mode 100644
index 000000000000..a2bd31a2e7f5
--- /dev/null
+++ b/dev-python/redis/redis-4.5.5.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=redis-py-${PV}
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="
+ https://github.com/redis/redis-py/
+ https://pypi.org/project/redis/
+"
+SRC_URI="
+ https://github.com/redis/redis-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/async-timeout-4.0.2[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Flaky test
+ tests/test_pubsub.py::TestPubSubDeadlock::test_pubsub_deadlock
+ # TODO
+ tests/test_commands.py::TestRedisCommands::test_acl_list
+ # redis-7 different return
+ tests/test_commands.py::TestRedisCommands::test_xautoclaim
+ )
+
+ # TODO: try to run more servers?
+ epytest -m "not redismod and not onlycluster and not replica and not ssl"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ if has_version ">=dev-db/redis-7"; then
+ local extra_conf="
+ enable-debug-command yes
+ enable-module-command yes
+ "
+ fi
+
+ # Spawn Redis itself for testing purposes
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1 ::1
+ ${extra_conf}
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/selenium/Manifest b/dev-python/selenium/Manifest
index 61cfa66f7284..611805eb873d 100644
--- a/dev-python/selenium/Manifest
+++ b/dev-python/selenium/Manifest
@@ -1,2 +1,4 @@
DIST selenium-4.9.0.tar.gz 6336895 BLAKE2B 4a812324abd1903f14b03a73d21125eb83b753a553bcc4515aa4a3dc792bfb07bfacf34e35357f81c36675d9079bafe5f289a63c709df57358103a9141cef535 SHA512 3bfba3d862de73261e984e4dce3c2ff77b0f57074073b38648cbbe6908f2d20a5fadef8b23b6a292d780bfe3556291e26c2a7b1cc4b314cc959e78e0a2dcc6dc
+DIST selenium-4.9.1.tar.gz 6341857 BLAKE2B dd6461e096a15170c37b3e95f2f492da5bc16d1b2bcdc3e0528f5f27219529a850a5f01363f91d829ca05700fde800d55c5e43d758d566e48faba494610a25d4 SHA512 e9ff93c0dfb8f561bbfd2b31e555c7e815bba677b8391296e696ced7ce63daa12e169bd2ce5e02c0fb1499a028a7d674f6202e512082993b5a59bddab5011a3c
DIST selenium-selenium-4.9.0.gh.tar.gz 90247221 BLAKE2B fe99ac519ef4ced5f61721d1e3bae70e938b4a481582623a33f4d5a2fd1978c42e216501eb25ac7496957c2ea37a3ad97aff7ab7adf440e1428a311410024aca SHA512 9e745eae4cf6ea95fe1268b79a80734f4b67b0948fa5bfb144d6b681cd4b353add5c1a1d16b3f35652b6fa4a5b135f8a5203de97fcb9af0c27060a45b6269225
+DIST selenium-selenium-4.9.1.gh.tar.gz 90261099 BLAKE2B 4ef22ed67881036b3b20642bf6288a9afd518364f0271843b9d4ebcc2ccdfe3f259d5f6e7e52c375ff94e65f533810d3b51059433890277f440d23e50c5b1acf SHA512 fac1b0c50b6983fce7d2e5b40347dde05ca8b2907a9a6e06905f521d3bc9a05f61eed3bc07b91b0163958580a67605500d3e928aeed73b44b34a4b2a7ebeaca3
diff --git a/dev-python/selenium/selenium-4.9.1.ebuild b/dev-python/selenium/selenium-4.9.1.ebuild
new file mode 100644
index 000000000000..f7ee3037ec49
--- /dev/null
+++ b/dev-python/selenium/selenium-4.9.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+# upstream sometimes tags it as ${P}, sometimes as ${P}-python, sigh
+TEST_TAG=${P}
+TEST_P=selenium-${TEST_TAG}
+
+DESCRIPTION="Python language binding for Selenium Remote Control"
+HOMEPAGE="
+ https://www.seleniumhq.org/
+ https://github.com/SeleniumHQ/selenium/tree/trunk/py/
+ https://pypi.org/project/selenium/
+"
+SRC_URI+="
+ test? (
+ https://github.com/SeleniumHQ/selenium/archive/${TEST_TAG}.tar.gz
+ -> ${TEST_P}.gh.tar.gz
+ )
+"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/certifi-2021.10.8[${PYTHON_USEDEP}]
+ <dev-python/trio-1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.17[${PYTHON_USEDEP}]
+ <dev-python/trio-websocket-1[${PYTHON_USEDEP}]
+ >=dev-python/trio-websocket-0.9[${PYTHON_USEDEP}]
+ <dev-python/urllib3-2[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO: we may need extra setup or deps
+ test/selenium
+
+ # expects vanilla certifi
+ test/unit/selenium/webdriver/remote/remote_connection_tests.py::test_get_connection_manager_for_certs_and_timeout
+ )
+
+ cd "${WORKDIR}/${TEST_P}/py" || die
+ rm -rf selenium || die
+ # https://github.com/SeleniumHQ/selenium/blob/selenium-4.8.2-python/py/test/runner/run_pytest.py#L20-L24
+ # seriously?
+ epytest -o "python_files=*_tests.py test_*.py"
+}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index fa7ac766dda9..d8fed873a65c 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -3,3 +3,4 @@ DIST sentry-python-1.20.0.gh.tar.gz 345505 BLAKE2B e95225188a74f4d9e67f6044bcf3b
DIST sentry-python-1.21.0.gh.tar.gz 346948 BLAKE2B 7d4d9d537d567c930187d74fc46be2868a91c7d7fbc09bb6e63aa5b87cc272689ab3510dd2328fedd6d78a30f8f514efcaec5f6b99ce95cc2fd1e517f6c2330e SHA512 45e0f646b058488e8642e9ab6e8f80c7085adf39247baee78cb388a722114e2f72504951789cd49f6cdade77a930dc69756afaf0c69c69eb680878b2f2fc53d6
DIST sentry-python-1.21.1.gh.tar.gz 349021 BLAKE2B f467ba16484d0807734deb7d2544f32addeac254dbac02d5c56d5c9d05081d1c38665f7a5eb14ff59dd4b39ecb25d922b60a0d18fc98290c0127142cf5bb89d0 SHA512 04f56fa1a53ad42baaf09fb4b19a29c009e2a956ee363d6003746d993d1d8b4af37b8458bf8b04255cd72083bdf0c35b4244d6aabf26110ff6a0d245ce674c58
DIST sentry-python-1.22.1.gh.tar.gz 351929 BLAKE2B afcdd6293ff1e96f2a07e6d6ad5fb9bfc8715cf4d7ca30237d92cae9f48abf4cb849ad8f86f3ba3f0421198dd2fdbfe25b95c9e50c2abab36d1fed4bd71181fd SHA512 2796620223476d8996291d2f2ff88a128a86fe8ded40f44ffc575f09e8b390d9b0e77e186d153decb81f33aa050eeef5b2ce707ad381d226955ce18315a0e3ee
+DIST sentry-python-1.22.2.gh.tar.gz 352403 BLAKE2B 7dcc1583904ac7ca2349b153c13ffd2098e888fcf18a7150efa8e99e0bdc93f40c2d91a0044b85d64e21116e2503173e8a0b46dcc227f7e5cf7deaf2fe8abc64 SHA512 71d4235a0a5f6df0e18f0f0e04530ce225c218cc1018d48c7a419f3a118ea9d89df3635d62ae2a5a34632a58163ac317f41167e40b2ea172f2bd0467de3a8196
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.22.2.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.22.2.ebuild
new file mode 100644
index 000000000000..1fa205132314
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.22.2.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=sentry-python-${PV}
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/sentry-sdk-1.21.0-ignore-warnings.patch"
+)
+
+EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ tests/integrations/socket/test_socket.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # TODO: causes breakage in other tests
+ tests/integrations/starlette
+ # TODO
+ tests/integrations/tornado
+ # requires mockupdb
+ tests/integrations/pymongo
+)
+
+EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_large_event_not_truncated
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+ tests/test_profiler.py::test_sample_buffer
+ tests/test_profiler.py::test_thread_scheduler_takes_first_samples
+ tests/test_profiler.py::test_thread_scheduler_takes_more_samples
+ tests/test_profiler.py::test_thread_scheduler_single_background_thread
+ # broken with py3.11, *shrug*
+ tests/test_profiler.py::test_extract_stack_with_max_depth
+ # TODO
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_long_sql_query_preserved
+ tests/test_scrubber.py::test_breadcrumb_extra_scrubbing
+ tests/test_scrubber.py::test_span_data_scrubbing
+)